import { promisify, loginController } from '../../utils';
Component({
  data: {},
  properties: {
    type: null,
    userInfo: {},
    phoneNumber: '',
  },
  methods: {
    async showLogoutModal() {
      const res = await promisify(tt.showModal, {
        content: '退出登录后将清除本地数据',
        title: '是否确认退出登录？',
        cancelText: '取消',
        confirmText: '继续退出',
      });
      if (res.cancel) {
        return;
      }

      await loginController.logout();
      tt.reLaunch({
        url: '/pages/index/index',
      });
    },
  },
});
