package open.douyin.com.handler;

import com.google.protobuf.InvalidProtocolBufferException;
import com.google.protobuf.util.JsonFormat;
import open.douyin.com.model.Login;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class Logout {

    /**
     * 登出接口，不做专门业务处理
     * @param request
     * @return
     */
    @RequestMapping("/api/apps/logout")
    String handle(@RequestBody String request) throws InvalidProtocolBufferException {
        return JsonFormat.printer().print(Login.LogoutResponse.newBuilder().build());
    }
}
