# php登录demo说明
## php依赖：
> php >= 8.0

## 安装composer
> 参考网上教程，windows、mac、linux有区分

## （如果需要另起项目）安装codeigniter环境
> composer create-project codeigniter4/appstarter project-root

## 拉取依赖
> composer install

## start
> php spark serve --port 8081 --host localhost

## 小程序配置
> 参考..env文件，配置appid和secret

## 项目结构
> 本工程为codeigniter初始化成，应用逻辑参考下方结构：

|--..env  
|--app  
|--  |--Config  
|--  |--  |--Routes.php  
|--  |--Controllers  
|--  |--  |--LoginController.php  
|--  |--  |--LogoutController.php  
|--  |--  |--ShowDataController.php  
|--  |--  |--UserDataController.php  
|--  |--Store  
|--  |--  |--Store.php  
|--  |--Utils

## 文件说明
Routes.php: 定义了路由相关信息  
Controllers/*.php: 具体接口业务逻辑   
Store/*.php: 定义简单本地缓存，供应用拓展登录等用户信息记录方式  
Utils/*.php: 定义cbc加解密和http访问工具

## 框架参考链接
> https://codeigniter.org.cn/user_guide/index.html