<?php

namespace App\Controllers;

use Model\LoginRequest;
use Model\LogoutResponse;

class LogoutController extends BaseController
{
    public function logout()
    {
        $this->response->setHeader("Content-Type", "application/json");
        try {
            $logoutResponse = new LogoutResponse();
            $logoutResponse->setErrCode(0);
            $logoutResponse->setErrMsg("success");
            return $logoutResponse->serializeToJsonString();
        } catch (\Exception $e) {
            return $e->getMessage();
        }
    }
}
