package open.douyin.com.conf;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.bind.DefaultValue;
import org.springframework.stereotype.Component;

@Component(value = "appConfig")
public class AppConfig {
    @Value("${appId:}")
    public String AppId = "";
    @Value("${secret:}")
    public String Secret = "";

    @Value("${hostPorts:}")
    public String HostPorts = "";

    @Value("${isSandBox:}")
    public String IsSandBox = "0";

    public static final String AppIdName     = "appId";
    public static final String SecretName    = "secret";
    public static final String HostPortsName = "hostPorts";
    public static final String IsSandBoxName = "isSandBox";
}
