<?php

namespace App\Utils;

class HttpUtils
{
    static function HttpPost($uri, $bodyStr, $protocol, $domain) {
        $service_url = $protocol.'://'.$domain.$uri;
        $curl = curl_init($service_url);
        $curl_post_data = $bodyStr;
        log_message('critical', $curl_post_data);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $curl_post_data);
        curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-Type: application/json"));

        $curl_response = curl_exec($curl);
        log_message('critical', $curl_response);
        if ($curl_response === false) {
            $info = curl_getinfo($curl);
            log_message('critical', $info);
            curl_close($curl);
            return false;
        }
        curl_close($curl);
        $decoded = json_decode($curl_response);
        if (isset($decoded->response->status) && $decoded->response->status == 'ERROR') {
            return false;
        }
        return $curl_response;
    }

}