import store.store
import utils.mask
from model import login_pb2
from google.protobuf.json_format import MessageToJson, Parse


def user_data_handler(req):
    user_data_req = Parse(req, login_pb2.UserDataRequest(), True)
    data = store.store.get_cache(user_data_req.token)
    user_data_res = login_pb2.UserDataResponse()
    user_data_res.errCode = 0
    user_data_res.errMsg = 'success'
    user_data_res.userData.data = utils.mask.mask_phone(data.get_data())
    return MessageToJson(user_data_res)
